# capacitor-promocode

## Install

```bash
npm install capacitor-promocode
npx cap sync
```

## API

<docgen-index>

* [`launchPromoCodeRedemptionFlow()`](#launchpromocoderedemptionflow)
* [`isPromoCodeSupported()`](#ispromocodesupported)

</docgen-index>

<docgen-api>
<!--Update the source file JSDoc comments and rerun docgen to update the docs below-->

### launchPromoCodeRedemptionFlow()

```typescript
launchPromoCodeRedemptionFlow() => Promise<{ success: boolean; message?: string; }>
```

**Returns:** <code>Promise&lt;{ success: boolean; message?: string; }&gt;</code>

--------------------


### isPromoCodeSupported()

```typescript
isPromoCodeSupported() => Promise<{ supported: boolean; }>
```

**Returns:** <code>Promise&lt;{ supported: boolean; }&gt;</code>

--------------------

</docgen-api>
