import { WebPlugin } from '@capacitor/core';

import type { PromoCodePlugin } from './definitions';

export class PromoCodeWeb extends WebPlugin implements PromoCodePlugin {
  async launchPromoCodeRedemptionFlow(): Promise<{ success: boolean; message?: string }> {
    return {
      success: false,
      message: 'Promo code redemption is not supported on web',
    };
  }

  async isPromoCodeSupported(): Promise<{ supported: boolean }> {
    return {
      supported: false,
    };
  }
}